# IHierarchyWindow Struct Reference
[Shell Interfaces]

Inheritance diagram for IHierarchyWindow:

List of all members.

## Public Member Functions
virtual IMFPart *MCCOMAPI | GetThisPart ()=0
| IHierarchyWindow is always an IMFPart.
virtual IMFWindow *MCCOMAPI | GetThisWindow ()=0
| IHierarchyWindow is always an IMFWindow.
virtual void MCCOMAPI | HideDefaultContent ()=0
| Removes the default content (browser) from the window.
virtual void MCCOMAPI | ShowDefaultContent ()=0
| Restores the default content (browser) into the window.
virtual void MCCOMAPI | ShowHideContent (EHierarchyTabs contentID, EShowHideAction action)=0
| Hides or shows the given content depending on the current tab and whether the drawer is showing or not.
virtual void MCCOMAPI | SetModule (I3DExHierarchyModule *inModule)=0
| Sets the I3DExHierarchyModule on the hierarchy window.

## Detailed Description

Interface to access the hierarchy (or sequencer) window

## Member Function Documentation

virtual IMFPart* MCCOMAPI IHierarchyWindow::GetThisPart | ( |  | ) | `[pure virtual]`

IHierarchyWindow is always an IMFPart.

virtual IMFWindow* MCCOMAPI IHierarchyWindow::GetThisWindow | ( |  | ) | `[pure virtual]`

IHierarchyWindow is always an IMFWindow.

virtual void MCCOMAPI IHierarchyWindow::HideDefaultContent | ( |  | ) | `[pure virtual]`

Removes the default content (browser) from the window.

virtual void MCCOMAPI IHierarchyWindow::SetModule | ( | I3DExHierarchyModule * | inModule | ) | `[pure virtual]`

Sets the I3DExHierarchyModule on the hierarchy window.

virtual void MCCOMAPI IHierarchyWindow::ShowDefaultContent | ( |  | ) | `[pure virtual]`

Restores the default content (browser) into the window.

virtual void MCCOMAPI IHierarchyWindow::ShowHideContent | ( | EHierarchyTabs | contentID,
|  | EShowHideAction | action |
| ) |  |  | `[pure virtual]`

Hides or shows the given content depending on the current tab and whether the drawer is showing or not.

The documentation for this struct was generated from the following file:

- IHierarchyWindow.h